<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        div{
            width: 100px;
            height: 100px;
        }
        .box1{
            background-color: red;
            color: white;
            text-align: center;
        }
        .box2{
            background-color: blue;
            color: white;
            text-align: center;
            position: relative;
            left: 100px;
            transition: 2s ease-in-out 
               
        }
        .box1:hover+.box2{
            transform: rotate(360deg);
            left: 600px;
            background-color: goldenrod;
            
        }
    </style>
</head>
<body>
    <div class="box1">#box1</div>
    <div class="box2">#box2</div>
</body>
</html>